Bug 179268 - gnome-obex-server freeze on send file phone to pc
gnome-obex-server freeze on send file phone to pc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 08:45 EST by Andrea Scialpi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 07:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrea Scialpi 2006-01-29 08:45:41 EST
Description of problem:

when i try to send a  file from Phone to PC the program freeze with memory stack
output.


Version-Release number of selected component (if applicable):

gnome-bluetooth-0.6.0-2.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@localhost johnny]# gnome-obex-server

(gnome-obex-server:3643): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified
are supported and host-based authentication failed.
conn_request:   bdaddr 00:15:A0:86:9E:0B
conn_complete:  status 0x00
** Message: Incoming connection from 00:15:A0:86:9E:0B
** Message: Device 00:15:A0:86:9E:0B is about to send an object.
*** glibc detected *** gnome-obex-server: double free or corruption (!prev):
0x09ece8d0 ***
======= Backtrace: =========
/lib/libc.so.6[0xc0f948]
/lib/libc.so.6(__libc_free+0x79)[0xc12e4d]
/usr/lib/libglib-2.0.so.0(g_free+0x2d)[0x5bbcc04]
/usr/lib/libgnomebt.so.0(gnomebt_permissiondialog_new+0x377)[0x73b05a]
gnome-obex-server[0x804b415]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__STRING+0x5d)[0xb53fce]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11c)[0xb46dbd]
/usr/lib/libgobject-2.0.so.0[0xb57f88]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0xb59402]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xb596a5]
/usr/lib/libbtctl.so.2[0x2ac068]
/usr/lib/libbtctl.so.2[0x2ab5c1]
/usr/lib/libbtctl.so.2[0x2abbb2]
/usr/lib/libopenobex-1.0.so.1[0x72ee16]
/usr/lib/libopenobex-1.0.so.1[0x730700]
/usr/lib/libopenobex-1.0.so.1[0x72ef8d]
/usr/lib/libopenobex-1.0.so.1(OBEX_CustomDataFeed+0x37)[0x72e82f]
/usr/lib/libbtctl.so.2[0x2ab7da]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16e)[0x5bb5c33]
/usr/lib/libglib-2.0.so.0[0x5bb8c73]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a7)[0x5bb901c]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x5fdf0bc]
gnome-obex-server[0x804ad16]
/lib/libc.so.6(__libc_start_main+0xdc)[0xbc16b4]
gnome-obex-server[0x804a621]
======= Memory map: ========
00101000-00108000 r-xp 00000000 03:01 1669952    /usr/lib/libpopt.so.0.0.0
00108000-00109000 rwxp 00006000 03:01 1669952    /usr/lib/libpopt.so.0.0.0
0010b000-0010d000 r-xp 00000000 03:01 1471934    /lib/libcom_err.so.2.1
0010d000-0010e000 rwxp 00001000 03:01 1471934    /lib/libcom_err.so.2.1
00110000-00134000 r-xp 00000000 03:01 1676446    /usr/lib/libk5crypto.so.3.0
00134000-00135000 rwxp 00024000 03:01 1676446    /usr/lib/libk5crypto.so.3.0
00137000-00139000 r-xp 00000000 03:01 1676445    /usr/lib/libkrb5support.so.0.0
00139000-0013a000 rwxp 00002000 03:01 1676445    /usr/lib/libkrb5support.so.0.0
0013c000-00153000 r-xp 00000000 03:01 1676448    /usr/lib/libgssapi_krb5.so.2.2
00153000-00154000 rwxp 00017000 03:01 1676448    /usr/lib/libgssapi_krb5.so.2.2
00156000-0015a000 r-xp 00000000 03:01 1678059    /usr/lib/libgthread-2.0.so.0.902.3
0015a000-0015b000 rwxp 00003000 03:01 1678059    /usr/lib/libgthread-2.0.so.0.902.3
0015d000-0015f000 r-xp 00000000 03:01 1678623   
/usr/lib/libavahi-glib.so.1.0.00015f000-00160000 rwxp 00002000 03:01 1678623   
/usr/lib/libavahi-glib.so.1.0.000162000-00271000 r-xp 00000000 03:01 1471938   
/lib/libcrypto.so.0.9.8a
00271000-00284000 rwxp 0010f000 03:01 1471938    /lib/libcrypto.so.0.9.8a
00284000-00287000 rwxp 00284000 00:00 0
00289000-0028d000 r-xp 00000000 03:01 1678619   
/usr/lib/libORBitCosNaming-2.so.0.1.0
0028d000-0028e000 rwxp 00004000 03:01 1678619   
/usr/lib/libORBitCosNaming-2.so.0.1.0
00290000-0029f000 r-xp 00000000 03:01 1470305    /lib/libresolv-2.3.90.so
0029f000-002a0000 r-xp 0000e000 03:01 1470305    /lib/libresolv-2.3.90.so
002a0000-002a1000 rwxp 0000f000 03:01 1470305    /lib/libresolv-2.3.90.so
002a1000-002a3000 rwxp 002a1000 00:00 0
002a5000-002b0000 r-xp 00000000 03:01 1676787    /usr/lib/libbtctl.so.2.0.0
002b0000-002b1000 rwxp 0000a000 03:01 1676787    /usr/lib/libbtctl.so.2.0.0
002b1000-002b2000 r-xp 00000000 03:01 1731802    /usr/lib/gconv/ISO8859-1.so
002b2000-002b4000 rwxp 00000000 03:01 1731802    /usr/lib/gconv/ISO8859-1.so
002b4000-002c4000 r-xp 00000000 03:01 1901756   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
002c4000-002c5000 rwxp 00010000 03:01 1901756   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
002f9000-00338000 r-xp 00000000 03:01 1471939    /lib/libssl.so.0.9.8a
00338000-0033c000 rwxp 0003e000 03:01 1471939    /lib/libssl.so.0.9.8a
0033e000-003ad000 r-xp 00000000 03:01 1470307    /lib/libdbus-1.so.2.0.0
003ad000-003ae000 rwxp 0006f000 03:01 1470307    /lib/libdbus-1.so.2.0.0
003b0000-003ba000 r-xp 00000000 03:01 1678622    /usr/lib/libavahi-common.so.3.2.0
003ba000-003bb000 rwxp 0000a000 03:01 1678622    /usr/lib/libavahi-common.so.3.2.0
003bd000-003c6000 r-xp 00000000 03:01 2158295    /usr/lib/libesd.so.0.2.36
00


Expected results:

open box to accept receive file.

Additional info:

bt from gdb

----

[root@localhost SPECS]# gdb /usr/bin/gnome-obex-server
GNU gdb Red Hat Linux (6.3.0.0-1.98rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/gnome-obex-server
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x4a3000
[Thread debugging using libthread_db enabled]
[New Thread -1208219296 (LWP 3201)]

(gnome-obex-server:3201): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified
are supported and host-based authentication failed.
Detaching after fork from child process 3204.
conn_request:   bdaddr 00:15:A0:86:9E:0B
conn_complete:  status 0x00
** Message: Incoming connection from 00:15:A0:86:9E:0B
** Message: Device 00:15:A0:86:9E:0B is about to send an object.
*** glibc detected *** /usr/bin/gnome-obex-server: double free or corruption
(!prev): 0x092dcfa0 ***
======= Backtrace: =========
/lib/libc.so.6[0xc0f948]
/lib/libc.so.6(__libc_free+0x79)[0xc12e4d]
/usr/lib/libglib-2.0.so.0(g_free+0x2d)[0x5bbcc04]
/usr/lib/libgnomebt.so.0(gnomebt_permissiondialog_new+0x377)[0x73b05a]
/usr/bin/gnome-obex-server[0x804b415]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__STRING+0x5d)[0xb53fce]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x11c)[0xb46dbd]
/usr/lib/libgobject-2.0.so.0[0xb57f88]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x820)[0xb59402]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0xb596a5]
/usr/lib/libbtctl.so.2[0x2ac068]
/usr/lib/libbtctl.so.2[0x2ab5c1]
/usr/lib/libbtctl.so.2[0x2abbb2]
/usr/lib/libopenobex-1.0.so.1[0x72ee16]
/usr/lib/libopenobex-1.0.so.1[0x730700]
/usr/lib/libopenobex-1.0.so.1[0x72ef8d]
/usr/lib/libopenobex-1.0.so.1(OBEX_CustomDataFeed+0x37)[0x72e82f]
/usr/lib/libbtctl.so.2[0x2ab7da]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x16e)[0x5bb5c33]
/usr/lib/libglib-2.0.so.0[0x5bb8c73]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a7)[0x5bb901c]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x5fdf0bc]
/usr/bin/gnome-obex-server[0x804ad16]
/lib/libc.so.6(__libc_start_main+0xdc)[0xbc16b4]
/usr/bin/gnome-obex-server[0x804a621]
======= Memory map: ========
00101000-00108000 r-xp 00000000 03:01 1669952    /usr/lib/libpopt.so.0.0.0
00108000-00109000 rwxp 00006000 03:01 1669952    /usr/lib/libpopt.so.0.0.0
0010b000-0010d000 r-xp 00000000 03:01 1471934    /lib/libcom_err.so.2.1
0010d000-0010e000 rwxp 00001000 03:01 1471934    /lib/libcom_err.so.2.1
00110000-00134000 r-xp 00000000 03:01 1676446    /usr/lib/libk5crypto.so.3.0
00134000-00135000 rwxp 00024000 03:01 1676446    /usr/lib/libk5crypto.so.3.0
00137000-00139000 r-xp 00000000 03:01 1676445    /usr/lib/libkrb5support.so.0.0
00139000-0013a000 rwxp 00002000 03:01 1676445    /usr/lib/libkrb5support.so.0.0
0013c000-00153000 r-xp 00000000 03:01 1676448    /usr/lib/libgssapi_krb5.so.2.2
00153000-00154000 rwxp 00017000 03:01 1676448    /usr/lib/libgssapi_krb5.so.2.2
00156000-0015a000 r-xp 00000000 03:01 1678059    /usr/lib/libgthread-2.0.so.0.902.3
0015a000-0015b000 rwxp 00003000 03:01 1678059    /usr/lib/libgthread-2.0.so.0.902.3
0015d000-0015f000 r-xp 00000000 03:01 1678623   
/usr/lib/libavahi-glib.so.1.0.00015f000-00160000 rwxp 00002000 03:01 1678623   
/usr/lib/libavahi-glib.so.1.0.000162000-00271000 r-xp 00000000 03:01 1471938   
/lib/libcrypto.so.0.9.8a
00271000-00284000 rwxp 0010f000 03:01 1471938    /lib/libcrypto.so.0.9.8a
00284000-00287000 rwxp 00284000 00:00 0
00289000-0028d000 r-xp 00000000 03:01 1678619   
/usr/lib/libORBitCosNaming-2.so.0.1.0
0028d000-0028e000 rwxp 00004000 03:01 1678619   
/usr/lib/libORBitCosNaming-2.so.0.1.0
00290000-0029f000 r-xp 00000000 03:01 1470305    /lib/libresolv-2.3.90.so
0029f000-002a0000 r-xp 0000e000 03:01 1470305    /lib/libresolv-2.3.90.so
002a0000-002a1000 rwxp 0000f000 03:01 1470305    /lib/libresolv-2.3.90.so
002a1000-002a3000 rwxp 002a1000 00:00 0
002a5000-002b0000 r-xp 00000000 03:01 1676787    /usr/lib/libbtctl.so.2.0.0
002b0000-002b1000 rwxp 0000a000 03:01 1676787    /usr/lib/libbtctl.so.2.0.0
002b1000-002b2000 r-xp 00000000 03:01 1731802    /usr/lib/gconv/ISO8859-1.so
002b2000-002b4000 rwxp 00000000 03:01 1731802    /usr/lib/gconv/ISO8859-1.so
002b4000-002c4000 r-xp 00000000 03:01 1901756   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
002c4000-002c5000 rwxp 00010000 03:01 1901756   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
002c5000-002c9000 r-xp 00000000 03:01 1895308   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
002c9000-002ca000 rwxp 00003000 03:01 1895308   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
002f9000-00338000 r-xp 00000000 03:01 1471939    /lib/libssl.so.0.9.8a
00338000-0033c000 rwxp 0003e000 03:01 1471939    /lib/libssl.so.0.9.8a
0033c000-003ac000 r-xp 00000000 03:01 1676447    /usr/lib/libkrb5.so.3.2
003ac000-003ae000 rwxp 00070000 03:01 1676447    /usr/lib/libkrb5.so.3.2
003b0000-003ba000 r-xp 00000000 03:01 1678622    /usr/lib/libavahi-common.so.3.2.0
003ba000-003bb000 rwxp 0000a000 03:01 1678622    /usr/lib/libavahi-common.so.3.2.0
003bd000-003c6000 r-xp 00000000 03:01 2158295    /usr/lib/libesd.so.0.2.36
003c6000-003c7000 rwxp 00009000 03:01 2158295    /usr/lib/libesd.so.0.2.36
003c9000-003d4000 r-xp 00000000 03:01 1678629    /usr/lib/libgnome-keyring.so.0.0.1
003d4000-003d5000 rwxp 0000a000 03:01 1678629    /usr/lib/libgnome-keyring.so.0.0.1
003d8000-003da000 r-xp 00000000 03:01 1471935    /lib/libutil-2.3.90.so
003da000-003db000 r-xp 00001000 03:01 1471935    /lib/libutil-2.3.90.so
003db000-003dc000 rwxp 00002000 03:01 1471935    /lib/libutil-2.3.90.so
003de000-003e1000 r-xp 00000000 03:01 1471949    /lib/libcap.so.1.10
003e1000-003e2000 rwxp 00002000 03:01 1471949    /lib/libcap.so.1.10
003e4000-003ea000 r-xp 00000000 03:01 1471942    /lib/librt-2.3.90.so
003ea000-003eb000 r-xp 00005000 03:01 1471942    /lib/librt-2.3.90.so
003eb000-003ec000 rwxp 00006000 03:01 1471942    /lib/librt-2.3.90.so
003ee000-00439000 r-xp 00000000 03:01 1678617    /usr/lib/libORBit-2.so.0.1.0
00439000-00443000 rwxp 0004a000 03:01 1678617    /usr/lib/libORBit-2.so.0.1.0
004
Program received signal SIGABRT, Aborted.
[Switching to Thread -1208219296 (LWP 3201)]
0x004a3402 in __kernel_vsyscall ()
(gdb) bt
#0  0x004a3402 in __kernel_vsyscall ()
#1  0x00bd4079 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x00bd5613 in *__GI_abort () at abort.c:88
#3  0x00c0857b in __libc_message (do_abort=2,
    fmt=0xcc4754 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#4  0x00c0f948 in _int_free (av=0xcd0120, mem=0x92dcfa0) at malloc.c:5602
#5  0x00c12e4d in *__GI___libc_free (mem=0x92dcfa0) at malloc.c:3433
#6  0x05bbcc04 in IA__g_free (mem=0x92dcfa0) at gmem.c:187
#7  0x0073b05a in gnomebt_permissiondialog_new (ctl=0x92790f0,
    bdaddr=0x92c4a78 "\b\217-\tup",
    title=0x804c6f2 "Accept a file from '%s'?",
    explanation=0x804c85c "The remote device is attempting to send you a file
via Bluetooth. Do you wish to allow the connection?",
    alwaystext=0xb7da17bf "Accettare sempre i file da questo dispositivo.")
    at permissiondialog.gob:123
#8  0x0804b415 in request_put_callback (bo=0x92763c8,
    bdaddr=0x92d3978 "00:15:A0:86:9E:0B", app=0x929c5d0)
    at gnome-obex-server.c:89
#9  0x00b53fce in IA__g_cclosure_marshal_VOID__STRING (closure=0x929dde0,
    return_value=0x0, n_param_values=2, param_values=0xbfddfd9c,
    invocation_hint=0xbfddfc7c, marshal_data=0x804b345) at gmarshal.c:496
#10 0x00b46dbd in IA__g_closure_invoke (closure=0x929dde0, return_value=0x0,
    n_param_values=2, param_values=0xbfddfd9c, invocation_hint=0xbfddfc7c)
 at gclosure.c:490
#11 0x00b57f88 in signal_emit_unlocked_R (node=0x929cd20, detail=0,
    instance=0x92763c8, emission_return=0x0, instance_and_params=0xbfddfd9c)
    at gsignal.c:2438
#12 0x00b59402 in IA__g_signal_emit_valist (instance=0x92763c8, signal_id=22,
    detail=0, var_args=0xbfddffa0 "Y\uffff\uffff") at gsignal.c:2197
#13 0x00b596a5 in IA__g_signal_emit (instance=0x92763c8, signal_id=22,
    detail=0) at gsignal.c:2241
#14 0x002ac068 in maincb (src=0x929d458, evt=0xbfde0048, data=0x92763c8)
    at btobex.c:223
#15 0x002ab5c1 in invoke_callback (s=0x929d458, ev=6, cmd=3201, data=0x92d3990)
    at obex-server-source.c:81
#16 0x002abbb2 in obex_event (handle=0x929d4d0, obj=0x92d3990, mode=1,
    event=1, obex_cmd=2, obex_rsp=0) at obex-server-source.c:116
#17 0x0072ee16 in OBEX_Init () from /usr/lib/libopenobex-1.0.so.1
#18 0x00730700 in OBEX_Init () from /usr/lib/libopenobex-1.0.so.1
#19 0x0072ef8d in OBEX_Init () from /usr/lib/libopenobex-1.0.so.1
#20 0x0072e82f in OBEX_CustomDataFeed () from /usr/lib/libopenobex-1.0.so.1
#21 0x002ab7da in btctl_obexserver_source_dispatch (source=0x929d458,
    callback=0x2abeb7 <maincb>, user_data=0x92763c8)
    at obex-server-source.c:389
#22 0x05bb5c33 in IA__g_main_context_dispatch (context=0x9290e60)
    at gmain.c:1916
#23 0x05bb8c73 in g_main_context_iterate (context=0x9290e60, block=1,
    dispatch=1, self=0x9275860) at gmain.c:2547
#24 0x05bb901c in IA__g_main_loop_run (loop=0x92d2a68) at gmain.c:2751
#25 0x05fdf0bc in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x0804ad16 in main (argc=Cannot access memory at address 0xc81
) at gnome-obex-server.c:448
#27 0x00bc16b4 in __libc_start_main (main=0x804a8bd <main>, argc=1,
    ubp_av=0xbfde0384, init=0x804c478 <__libc_csu_init>,
    fini=0x804c4d4 <__libc_csu_fini>, rtld_fini=0xb9cdd0 <_dl_fini>,
    stack_end=0xbfde037c) at libc-start.c:231
#28 0x0804a621 in _start ()

----

Note You need to log in before you can comment on or make changes to this bug.